YUM is an open-source command-line package-management utility for RPM-compatible Linux operating systems.

learn more… | top users | synonyms

8
votes
2answers
7k views

Installing a third party application package on CentOS 6.4 fails due to missing dependencies libcrypto.so.10 and libssl.so.10

This is a Canonical Question about OpenSSL binary compatibility issues between Red Hat Enterprise Linux (and its derivatives) 6.4 and 6.5. This issue applies to a wide variety of third party ...
21
votes
3answers
41k views

How do I upgrade to the latest PHP version in CentOS with yum?

I found some blog posts about this, but it's rather lack of descriptions on possible side effects. I could really use some detailed on these steps: How to add a repo that provides PHP 5.4 into yum ...
70
votes
11answers
75k views

How to know from which yum repository a package has been installed

After I have installed a package by yum (with multiple repository configured), how can I found from which repository it has been installed? If I run yum info package name (or yum list package name), I ...
8
votes
2answers
503 views

Do old package versions in CentOS mean that they do not have security fixes?

We asked our admin to update SVN on our CentOS 6.5 server. He did so and the result was SVN 1.6.11. However the current version of SVN is 1.8.9. I know the CentOS yum repository is not always ...
4
votes
3answers
3k views

Update Red Hat Enterprise Linux's Packages Only To Specific Point Release

Let's say that I have one RHEL6.2 64bit server running. Current latest version available is 6.4. Running "yum update" will update my server up to 6.4 straight away. What if I want to update only to ...
3
votes
4answers
8k views

How can I keep the RHEL version static (e.g. RHEL 5.1)?

For compatibility with a program : I need to keep one of our servers in a specific version, for example rhel 5.1 I would like to keep it as updated as possible, but not to change versions. What ...
7
votes
2answers
18k views

Install libxml2 2.7.X on CentOS 5.X

CentOS ships with libxml2-2.6.26. I have to install at least 2.7.X version. I downloaded RPMs for libxml2, libxml2-devel and libxml2-python (2.7.8) from XMLSOFT (http://xmlsoft.org/sources/). I am ...
0
votes
2answers
793 views

How to install yum on Fedora Core 6

I have searched in google but have found no result and have been unable to install it yet. I want to install yum on fedora core 6 on my server to install ffmpeg and ffmpeg-php. How can i install it ...
27
votes
3answers
36k views

EPEL Repo for CentOS 6 causing error

I've got a VM running CentOS 6 (64bit) and I'm attempting to add the EPEL repo like usual to install various packages as I do quite regularly. Today, I'm experiencing some strange errors yet I'm ...
19
votes
2answers
3k views

Should I be worried that yum update suddenly wants to update well over 100 packages on my CentOS 6 system?

I get an email alert whenever there's something to update, and typically do them that day. This tends to happen most days. For whatever reason I've had no alerts since 20th July until today (I ...
8
votes
2answers
14k views

Update PHP with yum on Amazon Linux

I have Amazon Linux on EC2, AMI 2013.09. I followed the LAMP install tutorial, http://docs.aws.amazon.com/AWSEC2/latest/UserGuide/install-LAMP.html, and ended up with PHP5.3 installed. In answer to ...
5
votes
2answers
3k views

Caching proxy for yum and debian repositories

Does a caching proxy for yum exist, similar to approx for Debian repositories? Is there a way to have reprepro behave the same as approx? I have heard that approx was not as stable; besides, I would ...
8
votes
2answers
6k views

Why do I have .rpmnew file after an update?

I use yum to update my Fedora. After a huge update, I got many .rpmnew and .rpmsave files. I could understand if I had modified these files. But I'm sure that I didn't edit these files. What should I ...
13
votes
3answers
9k views

Installing Fedora RPMs in CentOS

How safe is it to install Fedora RPMs in CentOS 5? Does it depend on the version of the Fedora RPM or is it generally better to steer clear?
5
votes
1answer
2k views

How do I migrate from RHEL 5 to CentOS 5?

I've found myself in charge of installing some software on an old server running RHEL 5. Unfortunately, since it's just a development server now, it no longer rates a license. I'd like to continue ...
0
votes
2answers
263 views

bash stuck at 3.2-24.el5 (Redhat)

I'm trying to update bash on our Red Hat Enterprise Linux Server release 5.6 server. But it won't find an update later than "3.2-24.el5". I've check and it is vulnerable for the shellshock ...
0
votes
1answer
2k views

Puppet yum repo - Pull down 2.7.x vs 3.0.x

So a few weeks ago I started on the path to using puppet to automate all the configs/services. At the time I was using the EPEL repo, which installed version 2.6.x. After some reading I was trying to ...
5
votes
5answers
11k views

yum “ Segmentation fault” in centos

While using yum commands in a centos server(2.6.18-194.el5PAE #1), it throws 'Segmentation fault'. [root@server2 ~]# yum check-update Loaded plugins: fastestmirror Loading mirror speeds ...
3
votes
1answer
1k views

Fedora19: YUM glibc is a duplicate of glibc

I'm using Fedora 19, when I'm trying to perform a yum update, I get the following error. yum update: Failed to set locale, defaulting to C Loaded plugins: langpacks, refresh-packagekit Resolving ...
3
votes
3answers
4k views

Yum doesn't update httpd past version 2.2.3 on centos

I have a fresh CentOS vps (CentOS release 5.4 (Final)), and yum installs Apache/httpd version 2.2.3 but 2.2.14 is the latest release. Why doesn't yum install more recent updates?
1
vote
2answers
490 views

Installing php-fpm over php version missmatched

I have PHP installed by yum from the base @updates repository on Centos 6.3: php x86_64 5.3.3-14.el6_3 @updates 3.5 M I would like to install php-fpm version 5.3 because our web software works ...
1
vote
5answers
1k views

linux install without yum or gcc

Hulo All, Linux newb here. I just ssh'ed into my first shiny new CentOS virtual server to install a LAMP stack. No yum, so I had to install yum. Yum needs gettext, so it got gettext. Gettext ...
0
votes
1answer
398 views

kernel-firmware is a duplicate with kernel-firmware Cent OS YUM

I am having isssues getting my server to run after yum update was interrupted. When trying to complete the yum update I am getting the following response. [root@RESCUE-web yum.repos.d]# sudo yum ...
0
votes
2answers
817 views

Linux Server eating all my memory

I run all of my websites on a 512MB dedicated virtual server, which up until now has served me very well. On 10 Jan, for some unknown reason my memory consumption went up from averaging around 50% to ...
0
votes
1answer
321 views

Yum Update fails due to conflicting perl packages

I have a CentOS 5.2 i386 Production box with Qmail, LAMP etc now since it showed me that it could upgrade to 5.3, i downloaded all the packages using yum update However, the update fails due to perl ...
26
votes
5answers
45k views

How to install git to red hat enterprise linux 5.3 x64?

How can I configure yum to use some repository which has git rpms?
17
votes
3answers
22k views

Is there a way to install Apache Bench (ab) without installing apache

Can you provide instuctions on how to install ab on a fedora distro with or without installing the apache web server? With yum or compiling from source.
2
votes
2answers
15k views

CentOS Insufficient space in download directory /var/cache/yum/base/packages

I was trying to yum install libpcap when I got Error Downloading Packages: 14:libpcap-0.9.4-15.el5.i386: Insufficient space in download directory /var/cache/yum/base/packages * free 0 * ...
27
votes
3answers
22k views

What does that mean: packages excluded due to repository priority protections

When updating with yum i recieve the following message: yum update Loaded plugins: fastestmirror, priorities Loading mirror speeds from cached hostfile * atomic: www7.atomicorp.com * base: ...
3
votes
2answers
20k views

How-to: add an ISO/DVD of RHEL to the Repository list under Gnome for installing packages

I want to add the original ISO I installed RHEL from as a repository under the Add/Remove Software tool in Gnome. How do I do this? To clarify, I know what I need to do (add a repository) - I need ...
7
votes
2answers
24k views

yum equivalent of “apt-get purge”

I want to reinstall a package on CentOS and start from scratch. In Debian, I can do a apt-get purge foo and it'll remove all config files for foo. yum remove foo doesn't remove the config files. Is ...
4
votes
2answers
6k views

CentOS - Yum - Specify Mirror

Is it possible to specify a mirror for YUM to target when doing updates? I've noticed on my CentOS 6.2 servers that it takes up to a minute for YUM to respond from a given command. I did some Googling ...
3
votes
3answers
2k views

RHEL 6.3 Upgrading OpenSSH & Apache

We just ran an external security scan from 403Labs against one of our servers (RHEL 6.3 x86_64) for PCI compliance and the results appeared to mainly dictate that we had a hand full of applications ...
3
votes
4answers
4k views

CentOS - PHP - Yum Install with Custom ./configure params

I have successfully configured and compiled php on my dev server, and works great, but after talking to a sysadmin buddy, he informed that custom compiles of the latest builds are not recommended for ...
3
votes
1answer
202 views

How to create a yum repository

Wondering how to create our own CentOS 5 based yum repository? Basically, we want to make rpm packages and then be able to do things like: yum install our-custom-package yum remove our-custom-package ...
2
votes
2answers
907 views

How can I verify which repository a package resides on in Centos?

I'd like to know which Centos repositories various packages are available at. Is there a directory somewhere? I tried googling it and didn't find anything.
0
votes
2answers
2k views

How to keep SpamAssassin up to date under CentOS?

I am running CentOS 5.4 with SpamAssassin installed via yum. However the version yum installed was SpamAssassin version 3.2.5 and I am finding that this version has many outdated rules -- including a ...
12
votes
2answers
17k views

tell yum to ignore a single dependency

I'm trying to install winswitch on CentOs 6. It requires 'nxagent'. But in centos, the package name is 'nx'. Is there a way to tell yum to skip checking the 'nxagent' dependency (i installed 'nx' ...
5
votes
3answers
14k views

Howto install php 5.2.17 on centos 6 x86_64

Does anyone know how to install php 5.2.17 on a 64bit centos 6 install? I've got a old legacy system that requires php 5.2.17, but centos 6 only supports php 5.3. I've installed repo's such as ...
4
votes
1answer
86 views

How to get transaction history for yum?

I would like to know how to get the transaction history of yum (i.e. get the installations, deletions, etc.), hopefully ordered from most to least recent. Is there a way to accomplish this?
4
votes
2answers
3k views

Rollback YUM package

What's the best (ie foolproof and easy) mechanism for rolling back an rpm update using YUM? I've not come across the problem where I upgrade something and later find I want to downgrade it, but I'd ...
3
votes
1answer
5k views

Solving multilib version problems

I use Centos 6.4 When I tried to install libgcc with yum install libgcc.i686 I took following massages. Error: Multilib version problems found. This often means that the root cause is ...
3
votes
2answers
7k views

How can I downgrade my version of PHP?

Just created a new Fedora VM and it has PHP 5.3 loaded, and I have legacy code that references functions that are now deprecated ( e.g. eregi() ). How can I downgrade my PHP install from 5.3 to ...
3
votes
1answer
3k views

How can I completely remove X-Windows from Fedora?

A while ago I installed my first Linux server using Fedora 10. I then upgraded to Fedora 11 and realized that I never use X-Windows on the machine, and during each update downloading a huge amount of ...
2
votes
2answers
385 views

Find (un)used packages on CentOS/Fedora?

In short: From all the (rpm) packages installed I would like to identify the ones unused (for example since the last 6 months). In long: I have number of machines with a respectable service record. ...
2
votes
3answers
6k views

How to force CentOS yum to use a later version of a package dependency already installed (php-common as a dependency of php-xml)

It would appear that the version I have of php-common-5.2.10-1.el5.centos is newer than the one being asked for as a dependency of php-xml when I try to install php-xml using yum install php-xml. The ...
1
vote
1answer
5k views

CentOS 6 Httpd failed to start

I am using CentOS 6.5. The Apache HTTP server (httpd) is dead for an unknown reason. I cannot visit http://localhost/ anymore. When I tried to restart httpd, it failed (Error message shown below). ...
1
vote
2answers
1k views

Upgrading Fedora distribution with yum distro-sync fails with Error: Protected multilib versions

Using these instructions we are carrying out a yum upgrade on a Slicehost slice (NB. this is not a Rackspace vhost, if it was we could probably just do a standard install of the latest Fedora distro) ...
1
vote
2answers
6k views

php-xml install complains of dependency php-common but this is already installed (CentOS)

How do I force php-xml to see the already installed dependency? sudo yum install php-xml complains about: php-common = 5.1.6-34.el5_8 but running yum install php-common ...
1
vote
2answers
172 views

How can I tell what rpms are managed outside of yum? [closed]

I am inheriting a Centos 5 box and I'd like to get an idea of what rpms have been installed outside of yum. Bonus: How can I audit that RPMs installed with yum to make sure that they are not ...